<?xml version="1.0"?>
<opencv_storage>
<Settings>

<!-- {1,3,7.0,55,39},{4,6,14.0,43,31},{7,9,28.0,37,29} -->
  <Circle_Board_Info> "{1,3,42,15,11}"</Circle_Board_Info><!--30 打印-->

  <ZRotateThreshold>0.55</ZRotateThreshold>
  <Bs_Detect_Circle>1</Bs_Detect_Circle>

  <!-- 1、光轴；2、光轴+offset；3、光轴+offset+CEC；4、FPN；5、PRECEC; 6、depth check -->
  <Moca_Offset_Calib>3</Moca_Offset_Calib>

  <Binary_Method>4</Binary_Method>
  <Binary_Threshold>10</Binary_Threshold>

  <Debug_Level>0</Debug_Level>
  <Write_outputFileName>"/data/vendor/camera/out_camera_data_front.txt"</Write_outputFileName>

  <HW_CalibChart_Version>4</HW_CalibChart_Version>
  <HW_CalibChart_Pattern>0</HW_CalibChart_Pattern>
  <HW_Calib_Version>4</HW_Calib_Version>
  <Board_Distance_Num>1</Board_Distance_Num>
  <Photos_In_One_Distance>"5"</Photos_In_One_Distance>

  <!--depth check only support 50 and 70, don't config other value-->
  <Board_Distance>"45"</Board_Distance>
  <OTP_Depth_Buffer_Size>600</OTP_Depth_Buffer_Size>
  <OTP_Offset_Buffer_Size>1056</OTP_Offset_Buffer_Size>
  <OTP_PRECEC_Buffer_Size>700</OTP_PRECEC_Buffer_Size>
  <OTP_CEC_Buffer_Size>317440</OTP_CEC_Buffer_Size>
  <OTP_FPN_Buffer_Size>316740</OTP_FPN_Buffer_Size>

   <!-- Camera_Valid_Params  distance,fov,optical center(x,y)(pixel),distence between two optical center ,shift(x,y,z)(mm),rotation(x,y,z)(degree),distance num(1-dist1,2-dist2,3-dist3,no use here),dist1,dist2,dist3. -->
   <Camera_Params>"{45,0,320.0,240.0,320.0,240.0,0,0,0.0,-9.71,0.0,0.0,0.0,0.0,22.68,55.08,98.28}"</Camera_Params>
   <!-- Camera_Valid_Threshold  distance,fov,optical center(x,y)(pixel),distence between two optical center shift(x,y,z)(mm),rotation(x,y,z)(degree),dist1_valid_percent,dist2_valid_percent,dist3_valid_percent. -->
   <Camera_Params_Threshold>"{45,90,20.0,20.0,20.0,20.0,20.0,20.0,2,2,3.5,1.8,1.8,2.0,17.48,45.08,81.88}"</Camera_Params_Threshold>

   <!--Freq_data is setting mode,pls config right value-->
   <Freq_data>"{20,60,120}"</Freq_data>
   
   <CEC_GrayThreshold_Num>3</CEC_GrayThreshold_Num>
   <CEC_GrayThreshold>"{60,40,40}"</CEC_GrayThreshold>
   <CEC_confEdgeThreshold>50</CEC_confEdgeThreshold>
   
   <CEC_imageHeight>480</CEC_imageHeight>
   <CEC_imageWidth>640</CEC_imageWidth>
   
   <CEC_BlockNum>9</CEC_BlockNum>
   <CEC_areaMin>100</CEC_areaMin>
   <CEC_areaMax>4000</CEC_areaMax>
   <CEC_lengthMin>10</CEC_lengthMin>
   <CEC_lengthMax>100</CEC_lengthMax>
   <CEC_pixel_num>10</CEC_pixel_num>
   <CEC_cecLockupTableSize>1024</CEC_cecLockupTableSize>
   <!-- leftup x y rightdown x y -->
   <CEC_Roi_Num>2</CEC_Roi_Num>
   <CEC_Roi>"{70,40,540,380}"</CEC_Roi>
   <CEC_catTreePositionError>40</CEC_catTreePositionError>
   <CEC_PositionCheckCenter>"{320,240}"</CEC_PositionCheckCenter>
   <CEC_groundTruth_Num>9</CEC_groundTruth_Num>
   <CEC_groundTruth60M>"{ 407.622f, 505.246f, 613.016f, 711.834f, 807.312f, 917.146f, 1007.48f, 1110.65f, 1200.04f }"</CEC_groundTruth60M>
   <CEC_groundTruth100M>"{ 411.393f, 505.246f, 610.421f, 714.377f, 807.312f, 914.671f, 1009.95f, 1109.95f, 1200.04f }"</CEC_groundTruth100M>
   <Write_CECResultsFileName>"/data/vendor/camera/CECInterResults_front.txt"</Write_CECResultsFileName>
   
   <CEC_check_threshold>50</CEC_check_threshold> <!-- left-right 阈值-->
   <CEC_left_threshold>"{50,80,100}"</CEC_left_threshold>   <!-- left 阈值-->
   <CEC_check_flag>4</CEC_check_flag>            <!-- 1:latin in left; 2:latin in right; 3:latin in up; 4:latin in down-->
   <CEC_check_up>0</CEC_check_up>               <!-- 上行号 1:50; 2:50; 3:0; 4:0-->
   <CEC_check_down>20</CEC_check_down>          <!-- 下行号 1:130; 2:130; 3:20; 4:20-->
   <CEC_check_left>220</CEC_check_left>         	 <!-- 左行号 1:0; 2:0; 3:80; 4:80-->
   <CEC_check_right>420</CEC_check_right>         <!-- 右行号 1:20; 2:20; 3:160; 4:160-->
   
   <TOF_LATIN_CHECK_MODE>3</TOF_LATIN_CHECK_MODE>
   <TOF_SFR_MODE>9</TOF_SFR_MODE>
   <TOF_SFR_EXPOSURE_TIME>5000</TOF_SFR_EXPOSURE_TIME>
   <!--below is for depth check-->
   <!-- Total 49 parameter 1 uniformity,12 mode * 4 threshold
	50cm depth check;
	Uniformity 0.2,
	MODE_CDMA_ON_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision

	70cm depthcheck;
	Uniformity 0.2,
	MODE_CDMA_ON_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_ON_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_20M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_60M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
	MODE_CDMA_OFF_100M:MultiFrame_Precision,Plan_Precision,Absolute_depth_erratio,RGBD_RMSE,Relative_precision
   -->
   <CEC_Pass_Switch>0</CEC_Pass_Switch>
   <Offset_Pass_Switch>0</Offset_Pass_Switch>
   <Depth_Pass_Switch>1</Depth_Pass_Switch>
   <Depth_Check_Mode_Num>12</Depth_Check_Mode_Num>
   <Uniformity_Threshold>0.3</Uniformity_Threshold>
   <UniformityCenterBrightness_Threshold>300</UniformityCenterBrightness_Threshold>
   <Depth_Check_Distance>67</Depth_Check_Distance>
   <Depth_Check_Threshold>"{60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10,60,60,100,2.0,30,30,30,50,2.0,18,16,16,30,2.0,10}"</Depth_Check_Threshold>
   <!--totalframenum50cm  100cm,ROIratio,depth_erratio,-->
   <Depth_Check_parameter>"{25,25,0.8,50}"</Depth_Check_parameter>

   <PreCEC_Calibration_Config name="PRE_CEC" item="0" distnum="1" anglenum="1" collect="25" skip="1" modes="0x14" expo="0xea60">ItemConfig</PreCEC_Calibration_Config>
   <Temperature_Shift_Calibration_Config name="TEMPERATURE_SHIFT" item="1" distnum="1" anglenum="1" skip="0">ItemConfig</Temperature_Shift_Calibration_Config>
   <CEC_Dual_Offset_Calibration_Config name="CEC_DUAL_OFFSET" item="2" moduleholder="false" collect="25" skip="10" expo="0xea60" mainexpo="6000" mainiso="200" modes="0xD" offsetcalib="1,1,0,0,0" graycalib="1,1,1,1,1">ItemConfig</CEC_Dual_Offset_Calibration_Config>
   <!--depth check only support 50 and 70, don't config other value-->
   <Depth_Check_Config name="DEPTH_CHECK" item="3" needgray="false" distance="67" distnum="1" anglenum="1" collect="25" skip="10" expo="0xea60" mainexpo="6000" mainiso="200" modes="0xD" angles="1">ItemConfig</Depth_Check_Config>
   <Eye_Safe_Calibration_Verification_Config name="EYE_SAFE" item="5" modes="0xD,0x11,0x12" pdthreshold="0.1" pdtargets="luxvisions:166,vertilite:166,lumentum:166" calibskip="0" verifyskip="1" skincalibcollectskip="1">ItemConfig</Eye_Safe_Calibration_Verification_Config>
</Settings>
</opencv_storage>